## alsa-tools 1.0.25

=== debian/changelog ===
alsa-tools (1.0.25-2) unstable; urgency=low

  * Remove qlo10k1 entirely. It's based on Qt3 which is going away for
    wheezy (closes: #604340).
  * As a side effect, simplify configure calls by removing obsolete
    options.
  * Do not build liblo10k1 with --enable-static and drop .a files from
    the -dev package.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Remove Mikael Magnusson from Uploaders.
  * Don't install upstream AUTHORS files, the info is already in copyright.
  * Use dpkg-buildflags when configuring, to enable hardening flags.
    Add a build-dependency on dpkg-dev (>= 1.16.1).
  * Refresh all patches.
  * Add lo10k1_format-security.patch to fix -Werror=format-security build
    errors uncovered by the hardening flags now in use.
  * Add ac3dec_cflags.patch to avoid overwriting CFLAGS.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 May 2012 15:48:10 +0200

alsa-tools (1.0.25-1) unstable; urgency=low

  * New upstream release.
    - changes to hdspmixer should fix crash (closes: #658002).
    - hdspmixer should now start correctly (closes: #641351).
  * Update changelog.ALSA.
  * Avoid bugs like #629911 by guarding for loops with 'set -e'.
  * Run source package through wrap-and-sort.
  * Drop hdspmixer_recognize_RME.patch, applied upstream.
  * Use watch file version 3, and don't uupdate.
  * Decruft debian/rules a bit.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 12:38:40 +0100

=== debian/control ===
Source: alsa-tools
Section: sound
Priority: extra
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>,
           Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends: autotools-dev,
               debhelper (>= 8),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev (>= 1.0.24.1),
               libfltk1.1-dev,
               libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: http://www.alsa-project.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/

Package: alsa-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: as10k1
Conflicts: as10k1
Replaces: as10k1
Description: Console based ALSA utilities for specific hardware
 A collection of console-based utilities for specific sound hardware:
 .
  ac3dec - A free AC-3 stream decoder
  as10k1 - An assembler for the EMU10K1 (EMU10K2) DSP chip
  sbiload - OPL2/3 FM instrument loader for the ALSA sequencer
  us428control - Controller utility for Tascam US-X2Y

Package: alsa-tools-gui
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GUI based ALSA utilities for specific hardware
 A collection of GUI based ALSA utilities for specific sound hardware:
 .
  echomixer - control tool for Echoaudio soundcards
  envy24control - control tool for Envy24 (ice1712) based soundcards
  hdspconf - GUI program to control the Hammerfall HDSP Alsa Settings.
  hdspmixer - tool to control the advanced routing features of the
              RME Hammerfall DSP.
  rmedigicontrol - control tool for RME Digi32 and RME Digi96 soundcards

Package: alsa-firmware-loaders
Section: contrib/sound
Architecture: linux-any
Depends: fxload, udev, ${misc:Depends}, ${shlibs:Depends}
Description: ALSA software loaders for specific hardware
 A collection of software loaders for specific hardware:
 .
  cspctl - Sound Blaster 16 ASP/CSP control program
  hdsploader - firmware loader for the RME Hammerfall DSP cards
  mixartloader - firmware loader for Digigram's miXart board sound drivers
  pcxhrloader - firmware loader for Digigram pcxhr compatible soundcards
  sscape_ctl - SoundScape control utility and firmware loader
  usx2yloader - firmware loader for Tascam USX2Y USB soundcards
  vxloader - firmware loader for Digigram VX soundcards

Package: ld10k1
Architecture: linux-any
Depends: lsb-base (>= 3.0-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: alsa-tools
Description: ALSA emu10k1/2 patch loader
 A patch loader for use with the emu10k1 ALSA driver.  Supports Sound
 Blaster Live!, Audigy and Audigy 2.

Package: liblo10k1-0
Section: libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ALSA emu10k1/2 patch-loader library
 This is the runtime library for the ld10k1 patch loader for use with
 the emu10k1 ALSA driver.  Supports Sound Blaster Live!, Audigy and
 Audigy 2.

Package: liblo10k1-dev
Section: libdevel
Architecture: linux-any
Depends: libasound2-dev, liblo10k1-0 (= ${binary:Version}), ${misc:Depends}
Description: ALSA emu10k1/2 patch-loader library development files
 These are the development files for the ld10k1 patch loader for use with
 the emu10k1 ALSA driver.  Supports Sound Blaster Live!, Audigy and
 Audigy 2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

SUBDIRS_alsa-tools-gui = echomixer envy24control hdspconf hdspmixer rmedigicontrol
SUBDIRS_alsa-tools = ac3dec as10k1 seq/sbiload us428control
SUBDIRS_alsa-firmware-loaders = sb16_csp hdsploader mixartloader pcxhrloader sscape_ctl usx2yloader vxloader
SUBDIRS_tmp = ld10k1
SUBDIRS := $(SUBDIRS_alsa-tools-gui) $(SUBDIRS_alsa-tools) $(SUBDIRS_alsa-firmware-loaders) $(SUBDIRS_tmp)
#SUBDIRS := $(SUBDIRS_tmp)
DOCS = README README.profiles TODO NEWS output.doc

#
# Common
#

config: config-stamp
config-stamp:
	dh_testdir

	set -e; list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Configuring $$subdir"; \
	  (cd $$subdir && \
	  ln -sf /usr/share/misc/config.sub . && \
	  ln -sf /usr/share/misc/config.guess . && \
	  ./configure \
	    --host=$(DEB_HOST_GNU_TYPE) \
	    --build=$(DEB_BUILD_GNU_TYPE) \
	    --prefix=/usr \
	    --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info \
	    --datadir=\$${prefix}/share \
	    --cache-file=$(CURDIR)/config.cache \
	    $(shell dpkg-buildflags --export=configure) \
	  ); \
	done

	touch config-stamp


#Architecture 
build: build-arch build-indep
build-arch: config build-stamp
build-indep: build-stamp
build-stamp:

	set -e; list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Building $$subdir"; \
	  $(MAKE) -C $$subdir; \
	done

	touch build-arch-stamp

clean: clean-stamp
clean-stamp:
	dh_testdir
	dh_testroot

	rm -f build-arch-stamp config-stamp
	rm -f config.cache

	-list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo; \
	  echo "Cleaning $$subdir"; \
	  $(MAKE) -C $$subdir distclean; \
	  rm -f $$subdir/config.guess; \
	  rm -f $$subdir/config.sub; \
	done

	dh_clean

# PKG = package
install-pkg:
	set -e; list='$(SUBDIRS_$(PKG))'; for subdir in $$list; do \
	  (cd $$subdir; \
	  package=$(PKG); \
	  name=$(shell echo \$$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'); \
	  echo; \
	  echo "Installing $$subdir into $$name"; \
	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$$package; \
	  set -e; doc_list='$(DOCS)'; for doc_file in $$doc_list; do \
	    if [ -s $$doc_file ]; then \
	      install -d $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name; \
	      install $$doc_file $(CURDIR)/debian/$$package/usr/share/doc/$$package/$$name/$$doc_file; \
	    fi; \
          done; \
	  ) \
	done

install: install-arch
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	$(MAKE) -f debian/rules PKG=alsa-tools install-pkg
	$(MAKE) -f debian/rules PKG=alsa-tools-gui install-pkg
	$(MAKE) -f debian/rules PKG=alsa-firmware-loaders install-pkg
	$(MAKE) -f debian/rules PKG=tmp install-pkg

# Must not depend on anything. This is to be called by binary-arch
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog.ALSA
	dh_installdocs --exclude=Makefile
	dh_installexamples --exclude=.cvsignore --exclude=Makefile.am --exclude=Makefile.in
	chmod 644 $(CURDIR)/debian/ld10k1/usr/share/doc/ld10k1/examples/emu10k1MIDIEffects/pontodo5
	dh_install --list-missing
	(cd debian/ld10k1/usr/bin && mv -f lo10k1 lo10k1.bin && mv -f lo10k1.sh lo10k1)
	dh_installmenu
	dh_installman
	dh_installudev
	# Unless there is a reason not to, for start sequence number N
	# it is good policy to use 100 - N as the stop sequence number.
	dh_installinit --update-rcd-params='start 19 2 3 4 5 . stop 81 0 1 6 .'
	dh_link
	dh_strip
	# Exclude .asm files because only one is over 4k, and only slightly
	dh_compress -X.asm
	dh_fixperms
	dh_makeshlibs  # --version-info='liblo10k1-0 (>= 1.0.8+1.0.9rc3-1)'
	dh_installdeb
	dh_shlibdeps -l debian/liblo10k1-0/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary-indep:
	#Nothing to do here

binary: binary-arch
.PHONY: build clean binary-arch binary install install-arch config

## alsa-tools 1.0.27

=== Makefile ===
VERSION = 1.0.27
TOP = .
SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1 \
	  hwmixvolume hdajackretask hda-verb

all:
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  ./gitcompile $(GITCOMPILE_ARGS) || exit 1; \
	  cd ..; make -C $$i || exit 1; \
	done

configure:
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  if [ -x ./configure ]; then \
	    ./configure $(CONFIGURE_ARGS) || exit 1; \
	  else \
	    make CONFIGURE_ARGS="$CONFIGURE_ARGS" configure || exit 1; \
	  fi; \
	  cd ..; make -C $$i || exit 1; \
	done

install:
	@for i in $(SUBDIRS); do \
	  make -C $$i DESTDIR=$(DESTDIR) install || exit 1; \
	done

alsa-dist:
	@echo $(VERSION) >> $(TOP)/version
	@mkdir -p $(TOP)/distdir
	@for i in $(SUBDIRS); do \
	  cd $(TOP)/$$i; echo $(TOP)/$$i; \
	  ./gitcompile $(GITCOMPILE_ARGS) || exit 1; \
	  cd ..; make -C $$i alsa-dist || exit 1; \
	done
	@cp Makefile gitcompile distdir
	@mv distdir alsa-tools-$(VERSION)
	@tar --create --verbose --file=- alsa-tools-$(VERSION) \
	  | bzip2 -c -9 > alsa-tools-$(VERSION).tar.bz2
	@mv alsa-tools-$(VERSION) distdir

clean:
	rm -rf *~ distdir
	@for i in $(SUBDIRS); do make -C $$i clean || exit 1; done

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
# Makefile.in generated by automake 1.12.2 from Makefile.am.
# contrib/emu10k1MIDIEffects/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/ld10k1
pkgincludedir = $(includedir)/ld10k1
pkglibdir = $(libdir)/ld10k1
pkglibexecdir = $(libexecdir)/ld10k1
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = contrib/emu10k1MIDIEffects
DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(effectsdir)"
DATA = $(dist_effects_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run aclocal-1.12
ALSA_CFLAGS = 
ALSA_LIBS =  -lasound -lm -ldl -lpthread
AMTAR = $${TAR-tar}
AR = ar
AS10K1 = as10k1
AUTOCONF = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run autoconf
AUTOHEADER = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run autoheader
AUTOMAKE = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run automake-1.12
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -Wall -pipe -g
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /bin/ld -m elf_x86_64
LD10K1_LIB_EXTRAVER = 
LD10K1_LIB_MAJOR = 0
LD10K1_LIB_MINOR = 1
LD10K1_LIB_SUBMINOR = 8
LD10K1_LIB_VERSION = 0.1.8p1
LDFLAGS = 
LIBOBJS = 
LIBS = -lasound -lm -ldl -lpthread
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ld10k1
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.1.8p1
abs_builddir = /home/alsa/tmp/cvs/alsa-tools/ld10k1/contrib/emu10k1MIDIEffects
abs_srcdir = /home/alsa/tmp/cvs/alsa-tools/ld10k1/contrib/emu10k1MIDIEffects
abs_top_builddir = /home/alsa/tmp/cvs/alsa-tools/ld10k1
abs_top_srcdir = /home/alsa/tmp/cvs/alsa-tools/ld10k1
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
effectsdir = $(pkgdatadir)/effects
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
EXTRA_DIST = \
	volBUS1.asm \
	3volBUS2.asm \
	emu_constants.asm \
	freberv.asm \
	gain_4.asm \
	michorusL.asm \
	michorusR.asm \
	volLR.asm \
	emu_constants.inc \
	fv-basstreble.inc \
	fv-controls.inc \
	fv-filters-reduced.inc \
	fv-filters.inc \
	fv-routes.inc \
	refl-big.inc \
	refl-default.inc \
	pontodo5

dist_effects_DATA = \
	3volBUS1.emu10k1 \
	3volBUS2.emu10k1 \
	freberv.emu10k1 \
	gain_4.emu10k1 \
	michorusL.emu10k1 \
	michorusR.emu10k1 \
	volLR.emu10k1

CLEANFILES = $(dist_effects_DATA)
SUFFIXEC = .asm .emu10k1
all: all-am

.SUFFIXES:
.SUFFIXES: .asm .emu10k1
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu contrib/emu10k1MIDIEffects/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu contrib/emu10k1MIDIEffects/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dist_effectsDATA: $(dist_effects_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_effects_DATA)'; test -n "$(effectsdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(effectsdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(effectsdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(effectsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(effectsdir)" || exit $$?; \
	done

uninstall-dist_effectsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_effects_DATA)'; test -n "$(effectsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(effectsdir)'; $(am__uninstall_files_from_dir)
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(effectsdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile

=== debian/changelog ===
alsa-tools (1.0.27-2ubuntu3) trusty; urgency=medium

  * debian/patches/hda-verb_sys_io_h.patch: Add __aarch64__ to the list.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 29 Mar 2014 19:38:54 -0600

alsa-tools (1.0.27-2ubuntu2) trusty; urgency=medium

  * git_hdajackretask_pulse_directory.patch: Fix error message
    when trying to kill PulseAudio (LP: #1262661)

 -- David Henningsson <david.henningsson@canonical.com>  Fri, 07 Feb 2014 08:35:03 +0100

alsa-tools (1.0.27-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 22 Jan 2014 22:30:26 -0500

alsa-tools (1.0.27-2) unstable; urgency=low

  * hda-verb_sys_io_h.patch: Duh. Use ANDs, not ORs when testing
    architecture compiler macros.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 May 2013 13:06:03 +0200

alsa-tools (1.0.27-1) experimental; urgency=low

  * New upstream release.
  * Drop ac3dec_cflags.patch: ac3dec has been removed from alsa-tools.
  * Update various packaging bits to adapt for the removal of ac3dec.
  * Add hda-verb_sys_io_h.patch: restrict include of sys/io.h for all
    architectures other than those based on x86, ARM, ALPHA or IA64.
  * Add envy24control_config_dir.patch: stolen from the Gentoo folks;
    envy24control would create a non-dot config directory in the user's
    home upon execution. Change the config dir to use a dotdir instead.
    Extend the patch as there are two locations for this definition (!).
  * Use default source package compression.
  * Don't pass static priorities and runlevels to dh_installinit. This
    is all managed via the LSB headers in the init script.
  * Add a symbols file for liblo10k1-0, even if it hasn't seen a single
    commit since its initial release.
  * Extend ld10k1's description.

 -- Jordi Mallach <jordi@debian.org>  Sat, 27 Apr 2013 01:37:47 +0200

alsa-tools (1.0.26.1-1) experimental; urgency=low

  * New upstream release.
  * Drop usx2yloader_tascam_fw_fix.patch, fixed upstream.
  * Add hda-verb to alsa-tools and hdajackretask to alsa-tools-gui.
  * Add libgtk-3-dev to Build-Depends.
  * Add a hdajackretask.desktop file and add an entry to Debian menu.
  * Bump Standards-Version to 3.9.4, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Sat, 20 Apr 2013 19:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: alsa-tools
 Section: sound
 Priority: extra
-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Elimar Riesebieter <riesebie@lxtec.de>
-Build-Depends: autotools-dev,
-               debhelper (>= 8),
+Build-Depends: debhelper (>= 8),
+               dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
                libasound2-dev (>= 1.0.24.1),
                libfltk1.1-dev,
-               libgtk2.0-dev
-Standards-Version: 3.9.3
+               libgtk2.0-dev,
+               libgtk-3-dev
+Standards-Version: 3.9.4
 Homepage: http://www.alsa-project.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/
@@ -24,8 +26,8 @@
 Description: Console based ALSA utilities for specific hardware
  A collection of console-based utilities for specific sound hardware:
  .
-  ac3dec - A free AC-3 stream decoder
   as10k1 - An assembler for the EMU10K1 (EMU10K2) DSP chip
+  hda-verb - send HD-audio commands to Intel HDA devices
   sbiload - OPL2/3 FM instrument loader for the ALSA sequencer
   us428control - Controller utility for Tascam US-X2Y
 
@@ -37,6 +39,7 @@
  .
   echomixer - control tool for Echoaudio soundcards
   envy24control - control tool for Envy24 (ice1712) based soundcards
+  hdajackretask - retask jacks on HDA Intel hardware
   hdspconf - GUI program to control the Hammerfall HDSP Alsa Settings.
   hdspmixer - tool to control the advanced routing features of the
               RME Hammerfall DSP.
@@ -63,7 +66,10 @@
 Suggests: alsa-tools
 Description: ALSA emu10k1/2 patch loader
  A patch loader for use with the emu10k1 ALSA driver.  Supports Sound
- Blaster Live!, Audigy and Audigy 2.
+ Blaster Live!, Audigy and Audigy 2. It includes:
+  ld10k1 - server to store the driver state
+  lo10k1 - control tool for the server
+  dl10k1 - dump loader
 
 Package: liblo10k1-0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-SUBDIRS_alsa-tools-gui = echomixer envy24control hdspconf hdspmixer rmedigicontrol
-SUBDIRS_alsa-tools = ac3dec as10k1 seq/sbiload us428control
+SUBDIRS_alsa-tools-gui = echomixer envy24control hdajackretask hdspconf hdspmixer rmedigicontrol
+SUBDIRS_alsa-tools = as10k1 hda-verb seq/sbiload us428control
 SUBDIRS_alsa-firmware-loaders = sb16_csp hdsploader mixartloader pcxhrloader sscape_ctl usx2yloader vxloader
 SUBDIRS_tmp = ld10k1
 SUBDIRS := $(SUBDIRS_alsa-tools-gui) $(SUBDIRS_alsa-tools) $(SUBDIRS_alsa-firmware-loaders) $(SUBDIRS_tmp)
@@ -31,13 +31,12 @@
 config: config-stamp
 config-stamp:
 	dh_testdir
+	dh_autoreconf
 
 	set -e; list='$(SUBDIRS)'; for subdir in $$list; do \
 	  echo; \
 	  echo "Configuring $$subdir"; \
 	  (cd $$subdir && \
-	  ln -sf /usr/share/misc/config.sub . && \
-	  ln -sf /usr/share/misc/config.guess . && \
 	  ./configure \
 	    --host=$(DEB_HOST_GNU_TYPE) \
 	    --build=$(DEB_BUILD_GNU_TYPE) \
@@ -79,10 +78,9 @@
 	  echo; \
 	  echo "Cleaning $$subdir"; \
 	  $(MAKE) -C $$subdir distclean; \
-	  rm -f $$subdir/config.guess; \
-	  rm -f $$subdir/config.sub; \
 	done
 
+	dh_autoreconf_clean
 	dh_clean
 
 # PKG = package
@@ -129,15 +127,13 @@
 	dh_installmenu
 	dh_installman
 	dh_installudev
-	# Unless there is a reason not to, for start sequence number N
-	# it is good policy to use 100 - N as the stop sequence number.
-	dh_installinit --update-rcd-params='start 19 2 3 4 5 . stop 81 0 1 6 .'
+	dh_installinit
 	dh_link
 	dh_strip
 	# Exclude .asm files because only one is over 4k, and only slightly
 	dh_compress -X.asm
 	dh_fixperms
-	dh_makeshlibs  # --version-info='liblo10k1-0 (>= 1.0.8+1.0.9rc3-1)'
+	dh_makeshlibs -- -c4
 	dh_installdeb
 	dh_shlibdeps -l debian/liblo10k1-0/usr/lib
 	dh_gencontrol

=== debian/watch ===
version=3
ftp://ftp.alsa-project.org/pub/tools/alsa-tools-(.*)\.tar\.bz2

## alsa-tools 1.0.28

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.0.27
+VERSION = 1.0.28
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

=== debian/changelog ===
alsa-tools (1.0.28-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Dropped patches, applied upstream:
    - as10k1_examples_Makefile.patch
    - init_live_bashismfix.patch
    - ld10k1_format-security.patch
    - manpage_spelling.patch
    - hda-verb_sys_io_h.patch

 -- Jordi Mallach <jordi@debian.org>  Fri, 18 Jul 2014 21:05:17 +0200

alsa-tools (1.0.27-3) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Use dh-autoreconf to fix FTBFS on ppc64el. Applied a patch from Ubuntu.
    Thanks to Logan Rosen for the hint. (closes: #736390)
  * Fix FTBFS on arm64. Extend hda-verb_sys_io_h.patch. Thanks to Adam Conrad.
    (closes: #743017)
  * Bump Standards-Version to 3.9.5 (no changes).

  [ Jordi Mallach ]
  * Bump to debhelper compat v9.
  * Add debian/autoreconf with an explicit list of directories to process,
    otherwise dh-autoreconf fails miserably.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Apr 2014 01:29:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: alsa-tools
 Section: sound
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
+Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Elimar Riesebieter <riesebie@lxtec.de>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
                libasound2-dev (>= 1.0.24.1),
                libfltk1.1-dev,
                libgtk2.0-dev,
                libgtk-3-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.alsa-project.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/

## alsa-tools 1.0.29

=== debian/changelog ===
alsa-tools (1.0.29-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Fix FTBFS with clang
    - Fixed undefined undefined reference error in as10k1/as10k1.c. Thanks to
      Arthur Marble (closes: #756805)

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.9.6.
  * Add Luke Yelavich to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2015 10:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>,
-           Elimar Riesebieter <riesebie@lxtec.de>
+           Elimar Riesebieter <riesebie@lxtec.de>,
+           Luke Yelavich <themuso@ubuntu.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dpkg-dev (>= 1.16.1~),
@@ -11,7 +12,7 @@
                libfltk1.1-dev,
                libgtk2.0-dev,
                libgtk-3-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.alsa-project.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/

## alsa-tools 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-VERSION = 1.0.28
+VERSION = 1.1.0
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
 	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1 \
-	  hwmixvolume hdajackretask hda-verb
+	  hwmixvolume hdajackretask hda-verb hdajacksensetest
 
 all:
 	@for i in $(SUBDIRS); do \

=== debian/changelog ===
alsa-tools (1.1.0-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Cherry picked  gcc6-narrowing-error.patch from git to prevent a FTBFS on
    architecture armel. (closes: 837590)

  [ Jordi Mallach ]
  * Add Catalan translation to desktop files.
  * Enable hardening build options.

 -- Jordi Mallach <jordi@debian.org>  Tue, 20 Sep 2016 11:45:12 +0200

alsa-tools (1.1.0-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Add French localisation to the 6 .desktop files. Thanks to Olivier Humbert.
    (closes: #798052)

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA

  [ David Henningsson ]
  * Ship hdajacksensetest

  [ Jordi Mallach ]
  * Use https for Vcs-Browser.
  * Remove Debian menu entries for alsa-tools-gui.

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2016 00:37:14 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.alsa-project.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/
 
 Package: alsa-tools
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,18 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+# Enable hardening options
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 SUBDIRS_alsa-tools-gui = echomixer envy24control hdajackretask hdspconf hdspmixer rmedigicontrol
-SUBDIRS_alsa-tools = as10k1 hda-verb seq/sbiload us428control
+SUBDIRS_alsa-tools = as10k1 hda-verb seq/sbiload us428control hdajacksensetest
 SUBDIRS_alsa-firmware-loaders = sb16_csp hdsploader mixartloader pcxhrloader sscape_ctl usx2yloader vxloader
 SUBDIRS_tmp = ld10k1
 SUBDIRS := $(SUBDIRS_alsa-tools-gui) $(SUBDIRS_alsa-tools) $(SUBDIRS_alsa-firmware-loaders) $(SUBDIRS_tmp)

## alsa-tools 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.0
+VERSION = 1.1.3
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/configure.in
+am__aclocal_m4_deps = $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 mkinstalldirs = $(install_sh) -d
@@ -122,16 +122,16 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
 EXEEXT = 
-FGREP = /bin/grep -F
-GREP = /bin/grep
-INSTALL = /bin/install -c
+FGREP = /usr/bin/grep -F
+GREP = /usr/bin/grep
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /bin/ld -m elf_x86_64
+LD = /usr/bin/ld -m elf_x86_64
 LD10K1_LIB_EXTRAVER = 
 LD10K1_LIB_MAJOR = 0
 LD10K1_LIB_MINOR = 1
@@ -144,10 +144,11 @@
 LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
+MAINT = 
 MAKEINFO = ${SHELL} /home/alsa/tmp/cvs/alsa-tools/ld10k1/missing --run makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
-NM = /bin/nm -B
+MKDIR_P = /usr/bin/mkdir -p
+NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
@@ -155,14 +156,14 @@
 OTOOL64 = 
 PACKAGE = ld10k1
 PACKAGE_BUGREPORT = 
-PACKAGE_NAME = 
-PACKAGE_STRING = 
-PACKAGE_TARNAME = 
+PACKAGE_NAME = ld10k1
+PACKAGE_STRING = ld10k1 0.1.8p1
+PACKAGE_TARNAME = ld10k1
 PACKAGE_URL = 
-PACKAGE_VERSION = 
+PACKAGE_VERSION = 0.1.8p1
 PATH_SEPARATOR = :
 RANLIB = ranlib
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
@@ -188,7 +189,7 @@
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
-docdir = ${datarootdir}/doc/${PACKAGE}
+docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 effectsdir = $(pkgdatadir)/effects
 exec_prefix = ${prefix}
@@ -390,7 +391,3 @@
 	@echo "it deletes files that may require special tools to rebuild."
 clean: clean-am
 
-clean-am: clean-generic clean-libtool mostlyclean-am
-
-distclean: distclean-am
-	-rm -f Makefile

=== debian/changelog ===
alsa-tools (1.1.3-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * New upstream release.
  * Bumped debhelper compatibility level to 10.
  * Changed debian/compat accordingly.
  * Remove --with autoreconf from calls to dh.
    With Debhelper compat level 10 the autoreconf sequence is enabled by
    default.
  * Added Keywords to .desktop files.
  * Introduced lintian-overrides. Lintian complains no hardening although
    hardeining=+all is set in debian/rules.
  * Dropped gcc6-narrowing-error.patch. Applied upstream.
  * Updated changelog.ALSA.
  * Formatted debian/copyright as DEP5.
  * Bump Standards-Version to 3.9.8.
  * Introduced spellfix-enought-to-enough.patch and
    spellfix-occured-to-ocured.patch.

  [ Jordi Mallach ]
  * Use HTTPS in Homepage and copyright-format URLs.
  * Add detailed copyright information for all tools.
  * Remove individual, per-package obsolete copyright files.
  * Remove lintian-overrides, this needs to be fixed in the upstream
    build-system, not be overridden.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2017 02:05:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Elimar Riesebieter <riesebie@lxtec.de>,
            Luke Yelavich <themuso@ubuntu.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libasound2-dev (>= 1.0.24.1),
                libfltk1.1-dev,
-               libgtk2.0-dev,
-               libgtk-3-dev
-Standards-Version: 3.9.6
-Homepage: http://www.alsa-project.org/
+               libgtk-3-dev,
+               libgtk2.0-dev
+Standards-Version: 3.9.8
+Homepage: https://www.alsa-project.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 config: config-stamp
 config-stamp:
 	dh_testdir
-	dh_autoreconf
 
 	set -e; list='$(SUBDIRS)'; for subdir in $$list; do \
 	  echo; \
@@ -139,6 +138,7 @@
 	dh_compress -X.asm
 	dh_fixperms
 	dh_makeshlibs -- -c4
+	dh_lintian
 	dh_installdeb
 	dh_shlibdeps -l debian/liblo10k1-0/usr/lib
 	dh_gencontrol

## alsa-tools 1.1.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.3
+VERSION = 1.1.7
 TOP = .
 SUBDIRS = as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
@@ -29,7 +29,7 @@
 	done
 
 alsa-dist:
-	@echo $(VERSION) >> $(TOP)/version
+	@echo $(VERSION) > $(TOP)/version
 	@mkdir -p $(TOP)/distdir
 	@for i in $(SUBDIRS); do \
 	  cd $(TOP)/$$i; echo $(TOP)/$$i; \

=== debian/changelog ===
alsa-tools (1.1.7-1ubuntu1) focal; urgency=medium

  * Patch to fix FTBFS. Cherry picked from v1.2.2 upstream release.
    - Use __u32 and __u64 for RMS array types

 -- Ross Gammon <rosco2@ubuntu.com>  Tue, 07 Apr 2020 21:42:38 +0200

alsa-tools (1.1.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:32:48 +0100

alsa-tools (1.1.7-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Update Vcs-* fields to reflect conversion to Git and move to
    salsa.d.o.
  * Add debian/gbp.conf with current git repo layout options.
  * Drop clang-ftbfs.patch: obsolete.

  [ Elimar Riesebieter ]
  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump Build-Depends: libasound2-dev (>= 1.1.8).

  [ Jordi Mallach ]
  * Revert "Bump Build-Depends: libasound2-dev (>= 1.1.8)", there's no need.

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Feb 2019 12:18:19 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libfltk1.1-dev,
                libgtk-3-dev,
                libgtk2.0-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: https://www.alsa-project.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/
+Vcs-Git: https://salsa.debian.org/alsa-team/alsa-tools.git
+Vcs-Browser: https://salsa.debian.org/alsa-team/alsa-tools
 
 Package: alsa-tools
 Architecture: linux-any
